#include "fs/devices/ConsoleDevice.h"
#include "video/TextConsole.h"

Result<SharedPtr<Device>> ConsoleDevice::create()
{
    return (SharedPtr<Device>)TRY(make_shared<ConsoleDevice>());
}

// FIXME: Read from the keyboard.
Result<usize> ConsoleDevice::read(u8*, usize, usize) const
{
    return 0;
}

Result<usize> ConsoleDevice::write(const u8* buf, usize, usize length)
{
    TextConsole::print((const char*)buf);
    return length;
}
